'use strict';

// JS SERVICE FUNCTIONS

function clearCacheRecursive(path){
    webOS.service.request('luna://com.lg.app.signage.service/', {
        method: 'clearCacheRecursive',
        parameters: {
            path: path,
        },
        onSuccess: function (ret) {

        },
        onFailure: function (error) {
            console.log(JSON.stringify(error));
        }
    });
}

function downloadCache( hostURI, tenant, playerID, resources, staticCache, etags, bearer){
	console.log('in the download cache JSService')
    webOS.service.request('luna://com.lg.app.signage.service/', {
        method: 'downloadCache',
        parameters: {
            hostURI: hostURI,
            tenant: tenant,
            playerID: playerID,
            resources: resources,
            staticCache: staticCache,
            etags: etags,
            bearer: bearer
        },
        onSuccess: function (ret) {
            console.log('################# SUCCESS CHECK THE FILES ###################');
            console.log(ret.returnMessage);
            try {
                main.StartPlayerRunTime();
                main.performHeartbeat(true);
                main.cachingPlayerEnabled = true;
                this.cancel();
            } catch (err) {
                _klogger.error(err);
            }
            return ret;
        },
        onFailure: function (error) {
            console.log(error.errorCode + " with message: " + error.errorText);
            return error;
        },
        onComplete: function (ret){

        },
        subscribe: true
    });
}

function hello(){
    console.log("in the hello JSService function ^^^^^^^^^^^^^^^^^^^^");
    webOS.service.request('luna://com.lg.app.signage.service/', {
        method: 'hello',
        parameters: {
        },
        onSuccess: function (ret) {
            console.log("----- Success in the Hello Message -----");
            console.log(ret.returnMessage);
        },
        onFailure: function (err) {
            console.log(err);
        }
    })
}