var Constants = /** @class */ (function () {
    function Constants() {
    }
    Constants.provisioningCandidates = [
        "https://korbyt.com/ws",
        "https://korbytvnext.com/ws",
        "http://eng-k16ws1.rmg.local:8080/ws",
        "https://korbytstaging.com/ws"
    ];
    Constants.txCookieDomains = [
        ".korbyt.com",
        ".korbytvnext.com",
        ".korbytstaging.com"
    ];
    Constants.animations = [
        "bounceIn", "bounceInDown", "bounceInLeft", "bounceInRight", "bounceInUp", "fadeIn", "fadeInDown", "fadeInLeft", "fadeInRight", "fadeInUp",
        "flip", "lightSpeedIn", "rotateIn", "rotateInDownLeft", "rotateInDownRight", "rotateInUpLeft", "rotateInUpRight", "slideInUp", "slideInDown",
        "slideInLeft", "slideInRight", "rollIn", "zoomIn", "zoomInDown", "zoomInLeft", "zoomInRight", "zoomInUp"
    ];
    Constants.KorbytVersion_1_0 = 10000;
    Constants.KorbytVersion_1_1 = 10100;
    // below are for the future
    Constants.KorbytVersion_1_2 = 10200;
    Constants.KorbytVersion_1_3 = 10300;
    Constants.KorbytVersion_1_4 = 10400;
    Constants.DATETIME_MINVALUE = "1970-01-01 00:00:00";
    Constants.DATETIME_MAXVALUE = "2970-01-01 00:00:00";
    Constants.DATETIME_FORMAT_NO_TZ = "YYYY-MM-DD HH:mm:ss";
    Constants.METATYPES = {
        "player_name": "string",
        "street": "string",
        "city": "string",
        "state": "string",
        "country": "string",
        "floor": "string",
        "room": "string",
        "notes": "string",
        "zip": "string",
        "latitude": "number",
        "longitude": "number",
        "orientation": "string",
        "division": "string",
        "department": "string",
        "meta01": "string",
        "meta02": "string",
        "meta03": "string",
        "meta04": "string",
        "meta05": "string",
        "meta06": "string",
        "meta07": "string",
        "meta08": "string",
        "meta09": "string",
        "meta10": "string",
        "tags": "stringarray",
        "playerPlatform": "string"
    };
    return Constants;
}());
