var PlayerPlatform;
(function (PlayerPlatform) {
    PlayerPlatform[PlayerPlatform["unknown"] = -1] = "unknown";
    PlayerPlatform[PlayerPlatform["kda"] = 0] = "kda";
    PlayerPlatform[PlayerPlatform["desktop"] = 1] = "desktop";
    PlayerPlatform[PlayerPlatform["chromeos"] = 2] = "chromeos";
    PlayerPlatform[PlayerPlatform["tizen"] = 3] = "tizen";
    PlayerPlatform[PlayerPlatform["webos"] = 4] = "webos";
    PlayerPlatform[PlayerPlatform["brightsign"] = 5] = "brightsign";
    PlayerPlatform[PlayerPlatform["preview"] = 6] = "preview";
    PlayerPlatform[PlayerPlatform["philips"] = 7] = "philips";
    PlayerPlatform[PlayerPlatform["inview"] = 8] = "inview";
    PlayerPlatform[PlayerPlatform["go_ios"] = 9] = "go_ios";
    PlayerPlatform[PlayerPlatform["go_android"] = 10] = "go_android";
})(PlayerPlatform || (PlayerPlatform = {}));
var ContentType;
(function (ContentType) {
    ContentType[ContentType["Layout"] = 0] = "Layout";
    ContentType[ContentType["Video"] = 1] = "Video";
    ContentType[ContentType["Image"] = 2] = "Image";
    ContentType[ContentType["Player"] = 3] = "Player";
    ContentType[ContentType["Playlist"] = 4] = "Playlist";
    ContentType[ContentType["WebPage"] = 5] = "WebPage";
    ContentType[ContentType["Stream"] = 6] = "Stream";
    ContentType[ContentType["Group"] = 7] = "Group";
    ContentType[ContentType["Message"] = 8] = "Message";
    ContentType[ContentType["Quiz"] = 9] = "Quiz";
    ContentType[ContentType["Survey"] = 10] = "Survey";
    ContentType[ContentType["Audience"] = 11] = "Audience";
    ContentType[ContentType["User"] = 12] = "User";
    ContentType[ContentType["Text"] = 13] = "Text";
    ContentType[ContentType["Audio"] = 14] = "Audio";
    ContentType[ContentType["Campaign"] = 15] = "Campaign";
    ContentType[ContentType["BoardTemplate"] = 16] = "BoardTemplate";
    ContentType[ContentType["Board"] = 17] = "Board";
    ContentType[ContentType["Posts"] = 18] = "Posts";
    ContentType[ContentType["Urgent"] = 22] = "Urgent";
    ContentType[ContentType["Zone"] = 9999] = "Zone";
    ContentType[ContentType["Unknown"] = 99999] = "Unknown";
})(ContentType || (ContentType = {}));
var TriggerOperator;
(function (TriggerOperator) {
    TriggerOperator[TriggerOperator["none"] = 0] = "none";
    TriggerOperator[TriggerOperator["is"] = 1] = "is";
    TriggerOperator[TriggerOperator["isNot"] = 2] = "isNot";
    TriggerOperator[TriggerOperator["isGreaterThan"] = 3] = "isGreaterThan";
    TriggerOperator[TriggerOperator["isLessThan"] = 4] = "isLessThan";
    TriggerOperator[TriggerOperator["isInRange"] = 5] = "isInRange";
    TriggerOperator[TriggerOperator["contains"] = 6] = "contains";
    TriggerOperator[TriggerOperator["doesNotContain"] = 7] = "doesNotContain";
    TriggerOperator[TriggerOperator["startsWith"] = 8] = "startsWith";
    TriggerOperator[TriggerOperator["endsWith"] = 9] = "endsWith";
})(TriggerOperator || (TriggerOperator = {}));
var TriggerAction;
(function (TriggerAction) {
    TriggerAction[TriggerAction["none"] = 0] = "none";
    TriggerAction[TriggerAction["show"] = 1] = "show";
    TriggerAction[TriggerAction["hide"] = 2] = "hide";
})(TriggerAction || (TriggerAction = {}));
var ChannelType;
(function (ChannelType) {
    ChannelType[ChannelType["unknown"] = -1] = "unknown";
    ChannelType[ChannelType["Desktop"] = 0] = "Desktop";
    ChannelType[ChannelType["Signage"] = 1] = "Signage";
    ChannelType[ChannelType["InView"] = 2] = "InView";
    ChannelType[ChannelType["Mobile"] = 4] = "Mobile";
    ChannelType[ChannelType["Email"] = 5] = "Email";
    ChannelType[ChannelType["Twitter"] = 6] = "Twitter";
    ChannelType[ChannelType["SMS"] = 7] = "SMS";
    ChannelType[ChannelType["Phone"] = 8] = "Phone";
    ChannelType[ChannelType["Slack"] = 10] = "Slack";
    ChannelType[ChannelType["Skype"] = 11] = "Skype";
    ChannelType[ChannelType["Intranet"] = 12] = "Intranet";
})(ChannelType || (ChannelType = {}));
